Bug 969349 - Cannot import pre-defined ISO domain
Cannot import pre-defined ISO domain
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.4.0
Assigned To: Tal Nisan
Aharon Canan
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 05:33 EDT by Jiri Belka
Modified: 2016-02-10 11:41 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 08:28:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log, vdsm.log (40.00 KB, application/x-tar)
2013-05-31 05:33 EDT, Jiri Belka
no flags Details

  None (edit)
Description Jiri Belka 2013-05-31 05:33:35 EDT
Created attachment 755211 [details]
engine.log, vdsm.log

Description of problem:
I cannot import ISO domain, we use this ISO domain for ages.

  There is no storage domain under the specified path. Check event log for more details.

  Thread-249::ERROR::2013-05-31 11:24:31,359::hsm::2749::Storage.HSM::(getStorageDomainsList) Unexpected error

Or I get a locking issue and in events there's...

  Failed to attach Storage Domain str02-iso-shared to Data Center Default. (User: admin@internal)

  IOError: [Errno 2] No such file or directory: '/rhev/data-center/mnt/10.34.63.204:_home_iso_shared/a7e5f59c-2877-475b-8afc-f760ba63defb/dom_md/metadata.new'

Version-Release number of selected component (if applicable):
is1

How reproducible:
100%

Steps to Reproduce:
1. try to import predefined iso domain
2.
3.

Actual results:
cannot either import as of issue to read metadata or to activate iso domain

Expected results:
should work as usual

Additional info:

* iso domain metadata

[root@str-02 ~]# cat /home/iso/shared/a7e5f59c-2877-475b-8afc-f760ba63defb/dom_md/metadata 
CLASS=Iso
DESCRIPTION=str02-iso-shared
IOOPTIMEOUTSEC=1
LEASERETRIES=3
LEASETIMESEC=5
LOCKPOLICY=
LOCKRENEWALINTERVALSEC=5
MASTER_VERSION=0
POOL_UUID=3a63d854-bed0-11e0-b671-545200312d04,23ce8c95-ed27-4dd6-999d-31b333673946,d96eb5c1-2251-4baa-b341-d34fea186bfb,6dbe422f-e725-4345-a18a-9f91f83a68f2,621a2419-6b05-4001-97a9-5d522b892932,08d10f90-3257-11e2-a035-001a4a013f3c,54426e9e-32fa-11e2-b323-2477037139e4,83b05cce-33c5-11e2-af93-3c970e182351,85da3b8b-dcb7-4385-83ed-740c75cbecd7,85e5118e-437d-11e2-99ab-001a4a013f0e,2735ea96-1f3d-11e2-beb6-001a4a013f3a,8199dba6-6159-11e2-a32d-001a4a013f3c,3caa17f3-b495-4157-80ec-c939b62d9dc9,f410a3f8-0701-4b2b-a306-fab0dceae5e0,6dda5e69-56c1-481b-9ef3-4b866ac03237,5869234e-4837-11e2-bf64-0800275a003c,a8a12be8-79c6-11e2-abd0-001a4a013f0e,6b353b5e-7a8a-11e2-84c8-080027efc789,a667b87d-7969-404d-8687-2d196d01487b,e6c41cc0-4d54-446f-a58a-d97aeb6ef684,f898e22e-f9de-4ef9-9faf-e59d6486ec3b,89e234aa-cc0d-4d81-9e7f-ebe6f36473c8,f7d32d7e-e882-47de-bbef-6a6690a902db,3d5dfde5-f402-4f6b-87fe-991c5db708ef,61cddc12-637c-4edf-9ea6-1c2f5951df8a,0a57f6ad-4010-411a-ab10-df4de4ca294a,a2c9b72e-3ae1-48c4-bd30-64d734c9c09a,601138e6-a8ce-11e2-b708-001a4a013f0e,d2505528-fe39-4dd8-96fe-e978b028f136,1784f91b-11d3-4051-9f6c-958cdd268338,a5885f24-f908-4438-a154-2389828092ef,c445dc63-a581-4898-b484-b2ba3be925f6,95735248-212b-495c-a444-48677196e840,b9085045-1cd0-4c51-9fc7-ec230f3a360a
REMOTE_PATH=10.34.63.204:/home/iso/shared
ROLE=Regular
SDUUID=a7e5f59c-2877-475b-8afc-f760ba63defb
TYPE=NFS
VERSION=0
_SHA_CKSUM=58320ccc059d2e0329f38cf43227feec56de40e4

* attached logs contain both kind of issues - vdsm.log.gz relates to issue when import somehow proceeds but the domain is down and cannot be activated; vdsm1.log.gz relates to import dialog itself which shows "There is no storage domain under the specified path. Check event log for more details."
Comment 2 Alissa 2013-07-09 04:56:08 EDT
1. Does the problem reproduce with other ISO domains as well?
2. The description mentions error and also "getting a locking issue" -does they both happen always together or each one periodically? please clarify.
3. is the ISO domain accessible? Did you try to access it manually via command line ? (not via RHEV)
Comment 3 Jiri Belka 2013-07-15 04:59:55 EDT
1. No, more precisly I created new fresh ISO domain on 3.2 and then I tried to import it on 3.3 (is5) and it worked OK. Thus this issue is specific to our domain. Please contact me via IRC if you want to access this ISO domain.

2. Sometimes I get in Admin Portal while importing:

    Error while executing action: Cannot add Storage Connection. Storage
    connection already exists.

    in new popup, but once I just saw in "main" Import Pre-Configured
    Domain dialog:

    There is no storage domain under the specified path. Check event log for more
    details.

3. It can be mounted OK with usual OS commands.

Note You need to log in before you can comment on or make changes to this bug.